DBShop论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 3198|回复: 16

DBShop电子商务系统在线更新功能发布

 关闭 [复制链接]
发表于 2014-3-9 19:34:50 | 显示全部楼层 |阅读模式
支持版本:V0.9 Release

本更新包包含内容:
1、在线更新功能模块
2、ZF2框架更新到版本2.2.6(最新版本)
3、部分小功能优化

本更新包无修改过程,压缩包解压后,将对应目录和文件直接覆盖即可。以后的更新及升级包将可以通过后台系统更新功能直接在线更新。

在线更新功能流程及功能介绍:
首先,是需要用论坛会员帐号登录,只需正确登录一次即可。当有新的更新包时,后台首页会有更新提示信息,点击进入在线更新列表页面。在操作下面会看到提供两种更新方式,第一种是在线更新,第二种是手动更新(当在线更新无法正常完成时使用)。手动更新就是把压缩包下载到本地然后手动ftp上传更新(之前我们的更新方法)。我们着重说明一下在线自动更新,当在线更新开始执行时,将从远程下载升级更新压缩包,下载到系统指定目录后,将执行一次md5完整性校验,完全一致后,进行解压操作;解压成功后,将解压目录中的文件逐个覆盖到对应文件,这里有一步重要操作,在覆盖前,会自动进行一步备份处理。要覆盖哪个文件,在覆盖前,程序都会自动对那个文件进行备份处理(备份目录/data/moduledata/Package/back),以防更新失败无法还原。如果有sql更新文件,也会自动执行sql文件中的语句(sql语句执行无法备份),直至更新全部完成。


如果您的版本不是 V0.9 Release或更高版本,请不要更新。如果您的环境不支持soap,请自行将soap开启,开启soap非常重要,我们以后将逐渐加大对在线更新的支持,很多更新将直接通过在线更新系统直接发布。

修正处理:当没有开启soap,后台及在线更新页面可正常查看,但会有提示信息提示您,soap未开启,无法使用在线更新功能。

本地下载(适合PHP5.3.3+环境):http://www.dbshop.net/download/D ... update_20140309.zip
本地下载(适合PHP5.4环境):http://www.dbshop.net/download/P ... update_20140309.zip





回复

使用道具 举报

 楼主| 发表于 2014-3-9 19:43:37 | 显示全部楼层
QQ截图20140309194159.jpg

第一次打开在线更新页面,需要登录,登录帐号使用bbs.dbshop.net的帐号登录即可。
QQ截图20140309194239.jpg

登陆成功后,将显示更新列表,如果无更新信息,您的系统为最新系统
20140311161822.jpg
点击 在线自动更新 按钮进入下面图片效果
20140311161836.jpg

点击 确认更新 按钮后,进入更新状态
20140311161852.jpg

更新完毕,跳出提示信息,点击确定,返回更新列表
20140311161905.jpg
因为目前没有任何升级更新包,所以无显示。

QQ截图20140309194258.jpg


回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-9 23:29:00 | 显示全部楼层
该更新更新,即使出了在线更新改进版,也不会支持RC版本的。
回复 支持 反对

使用道具 举报

发表于 2014-3-9 23:36:45 | 显示全部楼层
那我现在用不用研究增加SOAP模块了?
你要是以后不搞这个了.我就不增加了....
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-9 23:39:06 | 显示全部楼层
不用研究了,我会改进功能,使其不依赖环境中的soap。如果环境用有就是用,没有就用第三方的。《===此句作废,DBShop将使用环境自带的soap扩展。
另外提醒你,将版本更新到 Release版本。在线更新功能是肯定会有加入的,如果你中间版本有断片,功能对不上,到时候别赖我哈。呵呵呵
回复 支持 反对

使用道具 举报

发表于 2014-3-9 23:39:41 | 显示全部楼层
admin 发表于 2014-3-9 23:22
你那个系统还是RC版本呢吧,你下载的时候,有没有看支持版本是 0.9 Release版本。 ...

哇卡卡..没看到...我心思覆盖上去.然后更新到最新版本...
回复 支持 反对

使用道具 举报

发表于 2014-3-9 23:42:22 | 显示全部楼层
admin 发表于 2014-3-9 23:39
不用研究了,我会改进功能,使其不依赖环境中的soap。如果环境用有就是用,没有就用第三方的。
另外提醒你 ...

嘿嘿..所以说.要是断片严重的人.适合那种通用补丁嘛.就是包含N+1个补丁的那种组合包
回复 支持 反对

使用道具 举报

发表于 2014-3-9 23:45:55 | 显示全部楼层
对了.你没研究研究Z-BLOG的一切功能么?

我觉得他的功能强大.体积还小.....尤其是他那后台的插件..我觉得是我所见过程序中.这方面很强的了..
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-10 00:58:53 | 显示全部楼层
俊杰 发表于 2014-3-9 23:36
那我现在用不用研究增加SOAP模块了?
你要是以后不搞这个了.我就不增加了.... ...

呵呵呵,你还是研究一下吧,我刚看过了,第三方的组件非常老了,不打算使用了。还是使用环境自带的了。另外在线更新功能包我已经更新了一下,如果你的环境中没有开启soap,会出现一个提示信息,页面可正常浏览(之前是完全白屏)。不过为了安全起见,如果你覆盖更新这个包,记得先备份一下 /module/admin/ 这么目录下的文件,如果出问题,直接将这目录还原就可以了。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-10 01:19:07 | 显示全部楼层
俊杰 发表于 2014-3-9 23:45
对了.你没研究研究Z-BLOG的一切功能么?

我觉得他的功能强大.体积还小.....尤其是他那后台的插件..我觉得是 ...

程序类型不一样,没什么兴趣研究,也没太多时间。这才一个在线更新功能,后面还有好几个很费时间的功能要开发呢。
回复 支持 反对

使用道具 举报

发表于 2014-3-10 09:23:23 来自手机 | 显示全部楼层
后台加个判定,不支持的话就无法使用自动更新,这样大家也可以多重选择,,而且有的人也会怕不安全,尔采用手动,,你也无法保证你的更新服务器被挂马,,,所以嘛,有个开关觉得有点必要
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-10 09:55:14 | 显示全部楼层
后台已经加入这个判定了。正因为防止挂马,所以才会加入md5校验对比,如果更新服务器上的更新包有被别人修改过,那么下载下来后的md5比对是肯定不对的,这时是不会做任何处理的。马也不是那么容易挂的,DBShop的涉及php运行的目录,都是无法直接访问执行的。
这些都想到了的,否则也不会写这么长时间了。
回复 支持 反对

使用道具 举报

发表于 2014-3-10 10:55:12 来自手机 | 显示全部楼层
哇卡卡,,我觉得你应该写点软文了,投稿到chinaz和admin5上面,,然后去那里宣传宣传,,提供程序连接啥的,,
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-11 16:26:12 | 显示全部楼层
admin 发表于 2014-3-9 19:43
第一次打开在线更新页面,需要登录,登录帐号使用bbs.dbshop.net的帐号登录即可。

这样就清楚一些了。
回复 支持 反对

使用道具 举报

发表于 2014-3-11 17:12:08 来自手机 | 显示全部楼层
下载的连接还是之前的?包内更新啦?
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-3-11 17:16:03 | 显示全部楼层
是的,你看一下帖子的内容,不就知道了。要仔细嘛。
回复 支持 反对

使用道具 举报

发表于 2014-3-12 08:45:27 来自手机 | 显示全部楼层
看内容是有增加新的,包的连接还是之前的嘛,嘿嘿
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋|北京珑大钜商科技有限公司 ( 京ICP备15047709号-3 )

GMT+8, 2018-10-23 19:27 , Processed in 0.201824 second(s), 30 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表